<?php
//Route::get('/admin/hehe/haha/login','Admin\LoginController@index');  //登录
Route::get('/','Admin\LoginController@index');  //登录

//Route::get('/',function(){
    //echo '<div style="text-align:center;line-height:100vh">☺<div>';
//});  //登录
Route::post('/admin/hehe/haha/dologin','Admin\LoginController@dologin');  //处理登录
Route::get('/admin/hehe/haha/outlogin','Admin\LoginController@outlogin');  //退出登录
//登录中间件
Route::group(['middleware'=>'login'],function(){
    
    Route::get('/admin/index','Admin\IndexController@list');   //后台首页
    /** 
     * 订单路由
    */
    Route::get('/admin/order/list','Admin\OrderController@list');   //订单列表
    Route::get('/admin/order/status','Admin\OrderController@status');   //订单状态操作
    Route::get('/admin/order/pay','Admin\OrderController@pay');   //充值订单
    /**
     * 购物车订单路由
     */
    Route::get('/admin/shoporder/shoplist','Admin\ShoporderController@shoplist');   //订单列表
    Route::get('/admin/shoporder/status','Admin\ShoporderController@status');   //订单状态操作
    Route::get('/admin/shoporder/pay','Admin\ShoporderController@pay');   //充值订单
    
    /*
        商品类路由
    */
    Route::get('/admin/goodscate','Admin\GoodsCateController@index');  //查看商品分类
    Route::get('/admin/goodscate/status','Admin\GoodsCateController@status');  //更改商品分类状态
    Route::get('/admin/goodscate/orders','Admin\GoodsCateController@orders');  //更改商品分类排序
    Route::get('/admin/goodscate/create','Admin\GoodsCateController@create');  //添加商品分类
    Route::get('/admin/goodscate/delete','Admin\GoodsCateController@delete');  //删除商品分类
    Route::get('/admin/goodscate/edit','Admin\GoodsCateController@edit');  //查询需要修改的分类详情
    Route::get('/admin/goodscate/update','Admin\GoodsCateController@update');  //进行修改

    Route::get('/admin/goodscate/notes','Admin\GoodsCateController@notes');  //购买须知
    Route::get('/admin/goodscate/notesSave','Admin\GoodsCateController@notesSave');  //购买须知保存

    Route::get('/admin/goodscate/goods','Admin\GoodsCateController@goods');  //商品列表
    Route::get('/admin/goodscate/goodsStatus','Admin\GoodsCateController@goodsStatus');  //商品上下架状态
    Route::get('/admin/goodscate/goodsisrecomd','Admin\GoodsCateController@goodsisrecomd');  //商品上下架状态
    Route::get('/admin/goodscate/goodsOrders','Admin\GoodsCateController@goodsOrders');  //更改商品排序
    Route::get('/admin/goodscate/goodsDelete','Admin\GoodsCateController@goodsDelete');  //删除商品
    Route::get('/admin/goodscate/goodsAdd','Admin\GoodsCateController@goodsAdd');  //添加商品页面
    Route::get('/admin/goodscate/goodsGetCate','Admin\GoodsCateController@goodsGetCate');  //ajax根据门店获取商品分类
    Route::post('/admin/goodscate/goodsDoadd','Admin\GoodsCateController@goodsDoadd');  //处理商品添加
    Route::get('/admin/goodscate/goodsEdit/{id}','Admin\GoodsCateController@goodsEdit');  //编辑商品页面
    Route::post('/admin/goodscate/goodsUpdate','Admin\GoodsCateController@goodsUpdate');  //处理编辑商品页面

    Route::get('/admin/goodscate/order_goods/{id}','Admin\GoodsCateController@order_goods');  //编辑商品页面



    // Route::get('/admin/goodscate/goodshot','Admin\GoodsCateController@goodshot');  //热销商品列表
    // Route::get('/admin/goodscate/goodshotDelete','Admin\GoodsCateController@goodshotDelete');  //删除是改变状态为0  热销商品
    // Route::get('/admin/goodscate/goodshotAdd','Admin\GoodsCateController@goodshotAdd');  //添加热销
    //  4-11
    Route::get('/getxuanze','Admin\GoodsCateController@getxuanze');   //选择商品或者分账以获取下面的分诶
    Route::get('/getxuanze3','Admin\GoodsCateController@getxuanze3');   //选择商品或者文章下面的三级分类
    
    Route::any('/admin/ad/ad','Admin\GoodsCateController@ad');  //首页营销图
    /*
        文章管理
    */
    Route::get('/admin/wenzhang/cate','Admin\WenzhangController@cate');  //文章类别
    Route::get('/admin/wenzhang/cate_status','Admin\WenzhangController@cate_status');  //文章类别状态
    Route::get('/admin/wenzhang/cate_create','Admin\WenzhangController@cate_create');  //文章类别添加
    Route::get('/admin/wenzhang/cate_update','Admin\WenzhangController@cate_update');  //文章类别修改
    Route::get('/admin/wenzhang/cate_delete','Admin\WenzhangController@cate_delete');  //文章类别删除

    Route::get('/admin/wenzhang/list','Admin\WenzhangController@index');  //文章列表
    Route::get('/admin/wenzhang/delete','Admin\WenzhangController@delete');  //文章删除
    Route::get('/admin/wenzhang/status','Admin\WenzhangController@status');  //文章上下架
    Route::get('/admin/wenzhang/top','Admin\WenzhangController@top');  //文章进行置顶
    Route::get('/admin/wenzhang/add','Admin\WenzhangController@add');  //文章添加页面
    Route::post('/admin/wenzhang/doadd','Admin\WenzhangController@doadd');  //文章进行添加
    Route::get('/admin/wenzhang/edit/{id}','Admin\WenzhangController@edit');  //文章编辑页面
    Route::post('/admin/wenzhang/updata','Admin\WenzhangController@updata');  //文章处理编辑页面

    Route::get('/admin/wenzhang/about','Admin\WenzhangController@about');  //关于简诺
    Route::post('/admin/wenzhang/about_edit','Admin\WenzhangController@about_edit');  //关于简诺保存
    
    //文章页营销
    Route::any('/admin/ad/jan_ad','Admin\GoodsCateController@jan_ad');  //文章页营销图

    /*
    * 沙龙管理
    */
    Route::get('/admin/shalong/list','Admin\ShalongController@list');  //沙龙列表
    Route::get('/admin/shalong/add','Admin\ShalongController@add');  //添加沙龙页面
    Route::post('/admin/shalong/doadd','Admin\ShalongController@doadd');  //处理添加沙龙
    Route::get('/admin/shalong/status','Admin\ShalongController@status');  //修改沙龙上下架状态
    Route::get('/admin/shalong/top','Admin\ShalongController@top');  //修改沙龙置顶
    Route::get('/admin/shalong/delete','Admin\ShalongController@delete');  //删除沙龙
    Route::get('/admin/shalong/edit/{id}','Admin\ShalongController@edit');  //编辑沙龙
    Route::post('/admin/shalong/update','Admin\ShalongController@update');  //处理沙龙编辑
    Route::get('/admin/shalong/lookPerson/{id}','Admin\ShalongController@lookPerson');  //查看沙龙报名详情


    /**
     * 优惠券管理
     */
    Route::get('/admin/you/list','Admin\YouController@list');  //优惠券列表
    Route::get('/admin/you/status','Admin\YouController@status');  //优惠券列状态
    Route::get('/admin/you/delete','Admin\YouController@delete');  //删除优惠券
    Route::get('/admin/you/look/{id}','Admin\YouController@look');  //查看优惠券
    Route::get('/admin/you/back','Admin\YouController@back');  //撤回优惠券
    Route::get('/admin/you/add','Admin\YouController@add');  //添加优惠券页面
    Route::get('/admin/you/getGoods','Admin\YouController@getGoods');  //添加优惠券页面根据门店获取商品
    Route::get('/admin/you/search','Admin\YouController@search');  //搜索单个用户
    Route::post('/admin/you/doadd','Admin\YouController@doadd');  //处理优惠券添加
    //添加会员专享优惠券
    Route::get('/admin/you/vipAdd','Admin\YouController@vipAdd');
    Route::post('/admin/you/vipDoadd','Admin\YouController@vipDoadd');
    /**
     * 用户管理
     */
    Route::get('/admin/user/list','Admin\UserController@list');  //用户列表
    Route::get('/admin/user/status','Admin\UserController@status');  //改变用户状态
    Route::get('/admin/user/quan','Admin\UserController@quan');  //给用户发优惠券
    Route::get('/admin/user/yh','Admin\UserController@yh');  //给用户发
    
    /**
     * 会员管理
     */
    Route::get('/admin/vip/list','Admin\VipController@list');  //会员列表
    Route::get('/admin/vip/status','Admin\VipController@status');  //会员状态

    Route::get('/admin/vip/level','Admin\VipController@level');  //会员等级列表
    Route::get('/admin/vip/level_status','Admin\VipController@level_status');  //会员等级状态
    Route::get('/admin/vip/update','Admin\VipController@update');  //会员等级调整
    Route::get('/admin/vip/level_create','Admin\VipController@level_create');  //会员等级添加
    Route::get('/admin/vip/level_update','Admin\VipController@level_update');  //会员等级编辑

    /**
     * 积分管理
     */
    Route::get('/admin/jifen/cate_list','Admin\JifenController@list');  //积分商城分类列表
    Route::get('/admin/jifen/cate_status','Admin\JifenController@cate_status');  //积分商城分类状态
    Route::get('/admin/jifen/cate_orders','Admin\JifenController@cate_orders');  //积分商城分类状态
    Route::get('/admin/jifen/cate_delete','Admin\JifenController@cate_delete');  //积分商城分类删除
    Route::get('/admin/jifen/cate_create','Admin\JifenController@cate_create');  //积分商城分类添加
    Route::get('/admin/jifen/cate_update','Admin\JifenController@cate_update');  //积分商城分类修改

    Route::get('/admin/jifen/goods_list/{id?}','Admin\JifenController@goods_list');  //积分商品列表
    Route::get('/admin/jifen/goods_add','Admin\JifenController@goods_add');  //添加商品页面
    Route::post('/admin/jifen/goods_doadd','Admin\JifenController@goods_doadd');  //处理添加商品
    Route::get('/admin/jifen/goods_edit/{id?}','Admin\JifenController@goods_edit');  //商品编辑页面
    Route::post('/admin/jifen/goods_update','Admin\JifenController@goods_update');  //处理商品编辑
    Route::get('/admin/jifen/goods_status','Admin\JifenController@goods_status');  //商品列表状态修改
    Route::get('/admin/jifen/goods_orders','Admin\JifenController@goods_orders');  //商品列表排序
    Route::get('/admin/jifen/goods_delete','Admin\JifenController@goods_delete');  //商品删除
    

    Route::get('/admin/jifen/guize','Admin\JifenController@guize');  //积分规则
    Route::get('/admin/jifen/guize_save','Admin\JifenController@guize_save');  //保存积分规则

    /**
     * 门店列表
     */
    Route::get('/admin/md/list','Admin\MdController@list');  //门店列表
    Route::get('/admin/md/create','Admin\MdController@create');  //添加列表
    Route::get('/admin/md/edit','Admin\MdController@edit');  //编辑信息
    Route::get('/admin/md/update','Admin\MdController@update');  //更新门店
    Route::get('/admin/md/status','Admin\MdController@status');  //门店状态

    /**
     * 权限管理
     */
    //账号管理
    Route::get('/admin/admin/list','Admin\AdminUserController@list');  //查看管理员账号列表
    Route::get('/admin/admin/status','Admin\AdminUserController@status');  //管理员状态
    Route::get('/admin/admin/delete','Admin\AdminUserController@delete');  //管理员删除
    Route::get('/admin/admin/create','Admin\AdminUserController@create');  //管理员添加
    Route::get('/admin/admin/update','Admin\AdminUserController@update');  //处理管理员修改

    //角色管理
    Route::get('/admin/admin/rule-list','Admin\RuleController@list');  //角色列表
    Route::get('/admin/admin/rule_status','Admin\RuleController@rule_status');  //角色状态修改
    Route::get('/admin/admin/rule_delete','Admin\RuleController@rule_delete');  //角色状态删除
    Route::get('/admin/admin/rule_create','Admin\RuleController@rule_create');  //角色添加
    Route::get('/admin/admin/rule_edit','Admin\RuleController@rule_edit');  //角色编辑
    Route::get('/admin/admin/rule_update','Admin\RuleController@rule_update');  //角色处理编辑
});




